curl --request GET \
--url https://public-api.stora.co/2025-09/timeline/templates/{template_id} \
--header 'Authorization: Bearer <token>'{
"template": {
"id": "aetpl_14b419f1096013f1",
"created_at": "2025-02-20T14:41:00Z",
"global": true,
"message": "sent campaign '{{ campaign_name }}'{% if global_context %} for {{ contact }}{% endif %}.",
"name": "Sent Campaign",
"updated_at": "2025-02-22T14:41:00Z",
"variables": {
"custom": [
"campaign_name"
],
"predefined": [
"contact"
]
}
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Retrieve a specific template by its ID.
Required authorization scope: public.timeline_template:read
curl --request GET \
--url https://public-api.stora.co/2025-09/timeline/templates/{template_id} \
--header 'Authorization: Bearer <token>'{
"template": {
"id": "aetpl_14b419f1096013f1",
"created_at": "2025-02-20T14:41:00Z",
"global": true,
"message": "sent campaign '{{ campaign_name }}'{% if global_context %} for {{ contact }}{% endif %}.",
"name": "Sent Campaign",
"updated_at": "2025-02-22T14:41:00Z",
"variables": {
"custom": [
"campaign_name"
],
"predefined": [
"contact"
]
}
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}Bearer Token necessary to use API
The ID of the template to retrieve
Was this page helpful?